summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorpyamsoft2018-11-10 08:07:22 -0800
committerpyamsoft2018-11-10 08:08:31 -0800
commit7fcc46751fb7bc290ed087666dd5cf940a5e274f (patch)
treed28ff708900df42147a591bcf08b9d7ec9ef39f7
parent5e6c2c592600b32a6e56307f846f1423073ff9a1 (diff)
downloadaur-7fcc46751fb7bc290ed087666dd5cf940a5e274f.tar.gz
Update PKGBUILD to properly build
-rw-r--r--.SRCINFO6
-rw-r--r--.gitignore2
-rw-r--r--PKGBUILD34
-rw-r--r--shim-launcher6
4 files changed, 21 insertions, 27 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8044933460a..69385f7abfc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,19 @@
pkgbase = wattman-gtk-git
pkgdesc = GTK GUI to view, monitor, and overclock a Radeon GPU on Linux
- pkgver = r28.8e3ede6
+ pkgver = r91.d112ddc
pkgrel = 1
url = https://github.com/BoukeHaarsma23/WattmanGTK
arch = any
license = GPLv2
makedepends = git
+ makedepends = python-setuptools
depends = python-gobject
depends = python-matplotlib
+ depends = python
provides = wattman-gtk
conflicts = wattman-gtk
source = WattmanGTK::git+https://github.com/BoukeHaarsma23/WattmanGTK
- source = shim-launcher
sha256sums = SKIP
- sha256sums = 070b9a568564f2c1f59261d66e86f4af10de7f86577daa7e9500cfd6e4875daa
pkgname = wattman-gtk-git
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..08cf189774e
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+WattmanGTK
+*.tar
diff --git a/PKGBUILD b/PKGBUILD
index 41445c5ba7b..1631b3d7593 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,15 +8,15 @@ pkgname=wattman-gtk-git
# shellcheck disable=SC2034
pkgdesc="GTK GUI to view, monitor, and overclock a Radeon GPU on Linux"
# shellcheck disable=SC2034
-pkgver=r28.8e3ede6
+pkgver=r91.d112ddc
# shellcheck disable=SC2034
pkgrel=1
# shellcheck disable=SC2034
arch=('any')
# shellcheck disable=SC2034
-makedepends=('git')
+makedepends=('git' 'python-setuptools')
# shellcheck disable=SC2034
-depends=('python-gobject' 'python-matplotlib')
+depends=('python-gobject' 'python-matplotlib' 'python')
# shellcheck disable=SC2034
optdepends=()
# shellcheck disable=SC2034
@@ -32,10 +32,9 @@ url="https://github.com/BoukeHaarsma23/WattmanGTK"
# pulled from git so skip the verification check
##
# shellcheck disable=SC2034
-source=("${_gitname}::git+${url}" "shim-launcher")
+source=("${_gitname}::git+${url}")
# shellcheck disable=SC2034
-sha256sums=('SKIP'
- '070b9a568564f2c1f59261d66e86f4af10de7f86577daa7e9500cfd6e4875daa')
+sha256sums=('SKIP')
pkgver() {
# shellcheck disable=SC2154
@@ -50,6 +49,16 @@ pkgver() {
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+build() {
+ # shellcheck disable=SC2154
+ cd "${srcdir}/${_gitname}" || {
+ msg "Failed to cd into ${srcdir}/${_gitname}"
+ return 1
+ }
+
+ python setup.py build
+}
+
package() {
# shellcheck disable=SC2154
cd "${srcdir}/${_gitname}" || {
@@ -57,10 +66,7 @@ package() {
return 1
}
- # Copy source files over
- mkdir -p "${pkgdir}/opt/wattman-gtk"
- cp *.py "${pkgdir}/opt/wattman-gtk"
- cp *.ui "${pkgdir}/opt/wattman-gtk"
+ python setup.py install --root="${pkgdir}" --optimize=1 --skip-build
# Copy license over
mkdir -p "${pkgdir}/usr/share/wattman-gtk"
@@ -69,12 +75,4 @@ package() {
# Copy README over
mkdir -p "${pkgdir}/usr/share/doc/wattman-gtk"
cp README.md "${pkgdir}/usr/share/doc/wattman-gtk"
-
- # Copy launcher
- mkdir -p "${pkgdir}/usr/bin"
- cp ../shim-launcher "${pkgdir}/usr/bin/wattman-gtk"
-
- # Mark executable
- chmod 755 "${pkgdir}/opt/wattman-gtk/wattman.py"
- chmod 755 "${pkgdir}/usr/bin/wattman-gtk"
}
diff --git a/shim-launcher b/shim-launcher
deleted file mode 100644
index 0daee66b203..00000000000
--- a/shim-launcher
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-
-# A simple launcher until wattman-gtk is packaged
-
-cd /opt/wattman-gtk
-python ./wattman.py